Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Sep 2021 17:19:23 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 21 Sep 2021 15:53:52 +0200
> 
>     Mike> It does work with hb-view.
> 
> Itʼs a problem with the way we generate the auto composition
> sequences. If I remove the ZWJ sequences for eg 1f469, then all the
> skin tone sequences for 1f469 work

Not sure I understand.  The sequence U+1F4F9,U+1F3FD indeed does not
appear in emoji-zwj.el, but it does appear in emoji-sequences.txt.
However, the string "👩🏽" doesn't match the regexp in the
composition-function-table's slot for U+1F4F9.  Why is this?